API Reference
Idempotency Keys
3 endpoints· Auth: JWT or API Key
get
/api/v1/console/platform/idempotency-keys JWT API KeyGet idempotency-keys
Query parameters
| Scope string | — |
| Status string | — |
| StuckOnly boolean | — |
| Page integer (int32) | — |
| PerPage integer (int32) | — |
| Search string | — |
| Skip integer (int32) | — |
| Sort string | — |
| Dir string | — |
Responses
200Success
cURL
curl -X GET "https://staging-api.panoptesos.com/api/v1/console/platform/idempotency-keys" \
-H "X-Api-Key: <YOUR_API_KEY>" Try itagainst staging · https://staging-api.panoptesos.com
Query parameters
Set credentials in the “Authorize” menu
post
/api/v1/console/platform/idempotency-keys/{id}/release JWT API KeyCreate release
Path parameters
| idrequired string (uuid) | — |
Request body
application/json
{
"reason": "string"
}| reason string | — |
Responses
200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/platform/idempotency-keys/{id}/release" \
-H "Content-Type: application/json" \
-H "X-Api-Key: <YOUR_API_KEY>" \
-d '{
"reason": "string"
}' Try itagainst staging · https://staging-api.panoptesos.com
Path parameters
Request body (JSON)
Set credentials in the “Authorize” menu
post
/api/v1/console/platform/idempotency-keys/sweep JWT API KeyCreate sweep
Responses
200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/platform/idempotency-keys/sweep" \
-H "X-Api-Key: <YOUR_API_KEY>" Try itagainst staging · https://staging-api.panoptesos.com
Set credentials in the “Authorize” menu